package com.sooka.system.gas.aofe_user_infor.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.system.domain.BaseBusinessEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * 奥枫收费系统-用户信息对象
 *
 * @author lei
 * @date 2022-08-22
 */
@Getter
@Setter
public class TGuijiAofeUserInfor extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    @Excel(name = "序号")
    private String id;

    /** 插入时间 */
    @Excel(name = "插入时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 标志位 */
    @Excel(name = "标志位")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** 用户编号 */
    @Excel(name = "用户编号" )
    private String f_userid;

    /** 用户状态 */
    @Excel(name = "用户状态" )
    private String f_userstate;

    /** 总状态，收费总的流程状态 */
    @Excel(name = "总状态，收费总的流程状态" )
    private String f_state;

    /** 用户姓名/单位名称 */
    @Excel(name = "用户姓名/单位名称" )
    private String f_username;

    /** 证件号码 */
    @Excel(name = "证件号码" )
    private String f_idnumber;

    /** 电话 */
    @Excel(name = "电话" )
    private String f_phone;

    /** 营业厅部门 */
    @Excel(name = "营业厅部门" )
    private String f_yytdepa;

    /** 建档人 */
    @Excel(name = "建档人" )
    private String f_yytoper;

    /** 建档日期 */
    @Excel(name = "建档日期" )
    private String f_yytdate;

    /** 开户时间 */
    @Excel(name = "开户时间" )
    private String f_dateofopening;

    /** 所属分公司 */
    @Excel(name = "所属分公司" )
    private String f_filiale;

    /** 分公司编号 */
    @Excel(name = "分公司编号" )
    private String f_fengongsinum;

    /** 用户类型 */
    @Excel(name = "用户类型" )
    private String f_usertype;

    /** 小区名称 */
    @Excel(name = "小区名称" )
    private String f_districtname;

    /** 详细地址 */
    @Excel(name = "详细地址" )
    private String f_address;

    public String getFuserid()
    {
        return f_userid;
    }

    public String getFuserstate()
    {
        return f_userstate;
    }

    public String getFstate()
    {
        return f_state;
    }

    public String getFusername()
    {
        return f_username;
    }

    public String getFidnumber()
    {
        return f_idnumber;
    }

    public String getFphone()
    {
        return f_phone;
    }

    public String getFyytdepa()
    {
        return f_yytdepa;
    }

    public String getFyytoper()
    {
        return f_yytoper;
    }

    public String getFyytdate()
    {
        if(f_yytdate == null){
            return null;
        }else if(f_yytdate.contains(".")){
            return f_yytdate.split("\\.")[0];
        }else {
            return f_yytdate;
        }
    }

    public String getFdateofopening()
    {
        if(f_dateofopening == null){
            return null;
        }else if(f_dateofopening.contains(".")){
            return f_dateofopening.split("\\.")[0];
        }else {
            return f_dateofopening;
        }
    }

    public String getFfiliale()
    {
        return f_filiale;
    }

    public String getFfengongsinum()
    {
        return f_fengongsinum;
    }

    public String getFusertype()
    {
        return f_usertype;
    }

    public String getFdistrictname()
    {
        return f_districtname;
    }

    public String getFaddress()
    {
        return f_address;
    }
}
